<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: src/core/meshcop Directory Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('dir_26aa91edcfa6779bc467cd3cc7967481.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">meshcop Directory Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Directory dependency graph for meshcop:</div>
<div class="dyncontent">
<div class="center"><img src="dir_26aa91edcfa6779bc467cd3cc7967481_dep.png" border="0" usemap="#dir__26aa91edcfa6779bc467cd3cc7967481__dep" alt="src/core/meshcop"/></div>
<map name="dir__26aa91edcfa6779bc467cd3cc7967481__dep" id="dir__26aa91edcfa6779bc467cd3cc7967481__dep">
<area shape="rect" id="node1" href="dir_26aa91edcfa6779bc467cd3cc7967481.html" title="meshcop" alt="" coords="170,51,246,99"/>
<area shape="rect" id="node2" href="dir_34b4cee2b5900b653deb3438fc906cf4.html" title="common" alt="" coords="346,51,419,99"/>
<area shape="rect" id="edge22-headlabel" href="dir_000012_000009.html" title="31" alt="" coords="321,60,336,73"/>
<area shape="rect" id="node3" href="dir_fd71accbf528c1576ca21e7ec5716833.html" title="thread" alt="" coords="221,243,293,291"/>
<area shape="rect" id="edge23-headlabel" href="dir_000012_000014.html" title="28" alt="" coords="255,217,270,230"/>
<area shape="rect" id="node4" href="dir_20b27e152eb78c3fa96de7d3918de6da.html" title="coap" alt="" coords="96,339,168,387"/>
<area shape="rect" id="edge24-headlabel" href="dir_000012_000008.html" title="14" alt="" coords="144,316,158,330"/>
<area shape="rect" id="node5" href="dir_4f2226f7ee388b01e44ffc735c8969ec.html" title="mac" alt="" coords="347,147,419,195"/>
<area shape="rect" id="edge25-headlabel" href="dir_000012_000011.html" title="3" alt="" coords="331,127,338,141"/>
<area shape="rect" id="node6" href="dir_73cb4d11b06c10448caf49ed02a351c4.html" title="net" alt="" coords="307,435,379,483"/>
<area shape="rect" id="edge26-headlabel" href="dir_000012_000013.html" title="10" alt="" coords="282,435,297,449"/>
<area shape="rect" id="node7" href="dir_d44c64559bbebec7f509842c48db8b23.html" title="include" alt="" coords="347,531,419,579"/>
<area shape="rect" id="edge27-headlabel" href="dir_000012_000000.html" title="16" alt="" coords="322,535,336,549"/>
<area shape="rect" id="node8" href="dir_a9760aab0a13ba3266f05debb79c7f5d.html" title="crypto" alt="" coords="392,339,464,387"/>
<area shape="rect" id="edge28-headlabel" href="dir_000012_000010.html" title="2" alt="" coords="446,317,454,330"/>
<area shape="rect" id="edge1-headlabel" href="dir_000009_000011.html" title="1" alt="" coords="378,121,386,135"/>
<area shape="rect" id="edge2-headlabel" href="dir_000009_000013.html" title="3" alt="" coords="395,438,403,451"/>
<area shape="rect" id="edge3-headlabel" href="dir_000009_000000.html" title="9" alt="" coords="435,546,442,560"/>
<area shape="rect" id="edge9-headlabel" href="dir_000014_000012.html" title="4" alt="" coords="207,112,214,125"/>
<area shape="rect" id="edge4-headlabel" href="dir_000014_000009.html" title="86" alt="" coords="342,102,357,116"/>
<area shape="rect" id="edge5-headlabel" href="dir_000014_000008.html" title="17" alt="" coords="175,328,190,341"/>
<area shape="rect" id="edge6-headlabel" href="dir_000014_000011.html" title="14" alt="" coords="333,193,348,206"/>
<area shape="rect" id="edge7-headlabel" href="dir_000014_000013.html" title="37" alt="" coords="318,408,332,421"/>
<area shape="rect" id="edge8-headlabel" href="dir_000014_000000.html" title="30" alt="" coords="329,509,344,522"/>
<area shape="rect" id="edge10-headlabel" href="dir_000014_000010.html" title="3" alt="" coords="376,319,384,332"/>
<area shape="rect" id="edge11-headlabel" href="dir_000008_000009.html" title="6" alt="" coords="331,97,339,111"/>
<area shape="rect" id="edge12-headlabel" href="dir_000008_000013.html" title="1" alt="" coords="290,420,297,433"/>
<area shape="rect" id="edge13-headlabel" href="dir_000011_000009.html" title="10" alt="" coords="376,111,391,124"/>
<area shape="rect" id="edge14-headlabel" href="dir_000011_000014.html" title="4" alt="" coords="296,231,303,245"/>
<area shape="rect" id="edge15-headlabel" href="dir_000011_000013.html" title="1" alt="" coords="347,410,354,423"/>
<area shape="rect" id="edge16-headlabel" href="dir_000011_000000.html" title="6" alt="" coords="418,515,426,529"/>
<area shape="rect" id="edge17-headlabel" href="dir_000011_000010.html" title="2" alt="" coords="423,312,430,325"/>
<area shape="rect" id="edge18-headlabel" href="dir_000013_000009.html" title="31" alt="" coords="426,90,441,104"/>
<area shape="rect" id="edge19-headlabel" href="dir_000013_000014.html" title="2" alt="" coords="271,304,279,317"/>
<area shape="rect" id="edge20-headlabel" href="dir_000013_000011.html" title="2" alt="" coords="371,206,379,219"/>
<area shape="rect" id="edge21-headlabel" href="dir_000013_000000.html" title="9" alt="" coords="370,504,377,517"/>
<area shape="rect" id="edge29-headlabel" href="dir_000010_000009.html" title="2" alt="" coords="426,104,434,117"/>
<area shape="rect" id="edge30-headlabel" href="dir_000010_000000.html" title="1" alt="" coords="397,508,404,521"/>
<area shape="rect" id="clust1" href="dir_aebb8dcc11953d78e620bbef0b9e2183.html" title="core" alt="" coords="160,16,256,109"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="files"></a>
Files</h2></td></tr>
<tr class="memitem:d3/dd0/announce__begin__client_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="d3/dd0/announce__begin__client_8cpp.html">announce_begin_client.cpp</a></td></tr>
<tr class="memdesc:d3/dd0/announce__begin__client_8cpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">This file implements the Announce Begin Client. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:da/de7/announce__begin__client_8hpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="da/de7/announce__begin__client_8hpp.html">announce_begin_client.hpp</a> <a href="da/de7/announce__begin__client_8hpp_source.html">[code]</a></td></tr>
<tr class="memdesc:da/de7/announce__begin__client_8hpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">This file includes definitions for responding to Announce Requests. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:d7/d69/commissioner_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="d7/d69/commissioner_8cpp.html">commissioner.cpp</a></td></tr>
<tr class="memdesc:d7/d69/commissioner_8cpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">This file implements a Commissioner role. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:d4/da4/commissioner_8hpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="d4/da4/commissioner_8hpp.html">commissioner.hpp</a> <a href="d4/da4/commissioner_8hpp_source.html">[code]</a></td></tr>
<tr class="memdesc:d4/da4/commissioner_8hpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">This file includes definitions for the Commissioner role. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:d2/d47/dtls_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="d2/d47/dtls_8cpp.html">dtls.cpp</a></td></tr>
<tr class="memdesc:d2/d47/dtls_8cpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">This file implements the necessary hooks for mbedTLS. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:de/d6c/dtls_8hpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="de/d6c/dtls_8hpp.html">dtls.hpp</a> <a href="de/d6c/dtls_8hpp_source.html">[code]</a></td></tr>
<tr class="memdesc:de/d6c/dtls_8hpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">This file includes definitions for using mbedTLS. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:dd/d3b/energy__scan__client_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dd/d3b/energy__scan__client_8cpp.html">energy_scan_client.cpp</a></td></tr>
<tr class="memdesc:dd/d3b/energy__scan__client_8cpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">This file implements the Energy Scan Client. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:dd/d13/energy__scan__client_8hpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="dd/d13/energy__scan__client_8hpp.html">energy_scan_client.hpp</a> <a href="dd/d13/energy__scan__client_8hpp_source.html">[code]</a></td></tr>
<tr class="memdesc:dd/d13/energy__scan__client_8hpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">This file includes definitions for responding to PANID Query Requests. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:d4/d64/joiner_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="d4/d64/joiner_8cpp.html">joiner.cpp</a></td></tr>
<tr class="memdesc:d4/d64/joiner_8cpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">This file implements the Joiner role. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:d0/d93/joiner_8hpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="d0/d93/joiner_8hpp.html">joiner.hpp</a> <a href="d0/d93/joiner_8hpp_source.html">[code]</a></td></tr>
<tr class="memdesc:d0/d93/joiner_8hpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">This file includes definitions for the Joiner role. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:db/dc3/joiner__router_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="db/dc3/joiner__router_8cpp.html">joiner_router.cpp</a></td></tr>
<tr class="memdesc:db/dc3/joiner__router_8cpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">This file implements the Joiner Router role. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:da/d7f/joiner__router_8hpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="da/d7f/joiner__router_8hpp.html">joiner_router.hpp</a> <a href="da/d7f/joiner__router_8hpp_source.html">[code]</a></td></tr>
<tr class="memdesc:da/d7f/joiner__router_8hpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">This file includes definitions for the Joiner Router role. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:d7/d02/leader_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="d7/d02/leader_8cpp.html">leader.cpp</a></td></tr>
<tr class="memdesc:d7/d02/leader_8cpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">This file implements a MeshCoP Leader. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:d9/d7e/leader_8hpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="d9/d7e/leader_8hpp.html">leader.hpp</a> <a href="d9/d7e/leader_8hpp_source.html">[code]</a></td></tr>
<tr class="memdesc:d9/d7e/leader_8hpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">This file includes definitions for a MeshCoP Leader. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:d5/de7/panid__query__client_8cpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="d5/de7/panid__query__client_8cpp.html">panid_query_client.cpp</a></td></tr>
<tr class="memdesc:d5/de7/panid__query__client_8cpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">This file implements the PAN ID Query Client. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:d2/d73/panid__query__client_8hpp"><td class="memItemLeft" align="right" valign="top">file &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="d2/d73/panid__query__client_8hpp.html">panid_query_client.hpp</a> <a href="d2/d73/panid__query__client_8hpp_source.html">[code]</a></td></tr>
<tr class="memdesc:d2/d73/panid__query__client_8hpp"><td class="mdescLeft">&#160;</td><td class="mdescRight">This file includes definitions for responding to PANID Query Requests. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_aebb8dcc11953d78e620bbef0b9e2183.html">core</a></li><li class="navelem"><a class="el" href="dir_26aa91edcfa6779bc467cd3cc7967481.html">meshcop</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:37 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
